/*
 * squareball: A general-purpose library for C99.
 * Copyright (C) 2014-2018 Rafael G. Martins <rafael@rafaelmartins.eng.br>
 *
 * This program can be distributed under the terms of the BSD License.
 * See the file LICENSE.
 */

#ifndef _SQUAREBALL_H
#define _SQUAREBALL_H

/**
 * @file squareball.h
 * @brief Main library header.
 *
 * This header includes all the other public headers exposed by the library.
 *
 * @{
 */

#include <squareball/sb-compat.h>
#include <squareball/sb-configparser.h>
#include <squareball/sb-error.h>
#include <squareball/sb-file.h>
#include <squareball/sb-mem.h>
#include <squareball/sb-parsererror.h>
#include <squareball/sb-shell.h>
#include <squareball/sb-slist.h>
#include <squareball/sb-stdin.h>
#include <squareball/sb-strerror.h>
#include <squareball/sb-strfuncs.h>
#include <squareball/sb-string.h>
#include <squareball/sb-trie.h>
#include <squareball/sb-utf8.h>

/** @} */

#endif /* _SQUAREBALL_H */
